//公共组件库
function size(UIBaseSize = 750) {
    var $screenWid = getViewport().pageWidth;
    var scale = $screenWid / UIBaseSize;
    document.documentElement.style.fontSize = scale * 100 + 'px';
    return scale * 100;
}

function getViewport(){
    //IE9+
    var pageWidth=document.documentElement.getBoundingClientRect().width,
        pageHeight=document.documentElement.getBoundingClientRect().height;

    //IE8-
    if(typeof pageWidth != 'number'){
        if(document.compatMode=='CSS1Compat'){
            //标准模式
            pageWidth=document.documentElement.clientWidth;
            pageHeight=document.documentElement.clientHeight;

        }else{
            //混杂模式
            pageWidth=document.body.clientWidth;
            pageHeight=document.body.clientHeight;

        }
    }
    return{
        pageWidth:pageWidth,
        pageHeight:pageHeight
    }
}

export {
    size,
    getViewport
}